unit UFrmlancconta;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RXCtrls, ToolEdit, Mask, CurrEdit, StdCtrls, DBCtrls, ComCtrls, Grids,
  Wwdbigrd, Wwdbgrid, Buttons, ExtCtrls;

type
  TFrmlancconta = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    RxLabel1: TRxLabel;
    Edit1: TEdit;
    RxLabel2: TRxLabel;
    Edit2: TEdit;
    DBText1: TDBText;
    RxLabel9: TRxLabel;
    RxLabel10: TRxLabel;
    RxLabel11: TRxLabel;
    Panel1: TPanel;
    btnGravar: TSpeedButton;
    btnAdicionar: TSpeedButton;
    RxLabel3: TRxLabel;
    RxLabel4: TRxLabel;
    RxLabel6: TRxLabel;
    RxLabel5: TRxLabel;
    Edit3: TEdit;
    CurrencyEdit1: TCurrencyEdit;
    DateEdit1: TDateEdit;
    MaskEdit1: TMaskEdit;
    Panel2: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Edit4: TEdit;
    RxLabel7: TRxLabel;
    btnRetornar: TSpeedButton;
    wwDBGrid1: TwwDBGrid;
    wwDBGrid3: TwwDBGrid;
    RxLabel8: TRxLabel;
    DBText2: TDBText;
    DBText3: TDBText;
    Label1: TLabel;
    procedure Edit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure wwDBGrid1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Edit4KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Edit2Exit(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Edit2KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure btnGravarClick(Sender: TObject);
    procedure btnAdicionarClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure wwDBGrid3KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure btnRetornarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frmlancconta: TFrmlancconta;

implementation
uses modulo;
{$R *.DFM}

procedure TFrmlancconta.Edit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
   x : String;
begin
   if Key = VK_Return then
   begin
      if Edit1.Text = '' then
         ShowMessage('É necessário digitar algum nome para que seja efetuada a busca!')
      else
      begin
         DMEscola.Qprodutos.close;
         DMEscola.Qprodutos.SQL.CLear;
         DMEscola.Qprodutos.SQL.Add('Select * From Produtos');
         DMEscola.Qprodutos.SQL.Add('Where Descricao Like :name');
         DMEscola.Qprodutos.ParamByName('name').AsString := '%'+Edit1.Text+'%';
         DMEScola.Qprodutos.open;
         x := DMEscola.QprodutosDescricao.Value;
         if x <> '' then
         begin
            wwDBGrid1.Visible := true;
            wwDBGrid1.SetFocus
         end
         else
         begin
            Showmessage('Não foram encotrados registros com essa descrição. Tente novamente!');
            Edit1.Text := '';
            Edit1.SetFocus
         end
      end;
   end;

end;

procedure TFrmlancconta.wwDBGrid1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if Key = VK_Return then
   begin
      Edit1.Text := DMEscola.QProdutosDescricao.Value;
      wwDBGrid1.Visible := false;
      Edit2.SetFocus
   end;
end;

procedure TFrmlancconta.Edit4KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
   x : String;
begin
   if Key = VK_Return then
   begin
      if Edit4.Text = '' then
         ShowMessage('É necessário digitar algum nome para que seja efetuada a busca!')
      else
      begin
         DMEscola.Qconsultacli.close;
         DMEscola.Qconsultacli.SQL.CLear;
         DMEscola.Qconsultacli.SQL.Add('Select * From Clientes');
         DMEscola.Qconsultacli.SQL.Add('Where Nome Like :name or');
         DMEscola.Qconsultacli.SQL.Add('NickName like :nick');
         DMEscola.Qconsultacli.ParamByName('name').AsString := '%'+Edit4.Text+'%';
         DMEscola.Qconsultacli.ParamByName('nick').AsString := '%'+Edit4.Text+'%';
         DMEScola.Qconsultacli.open;
         x := DMEscola.QconsultacliNome.Value;
         if x <> '' then
         begin
            wwDBGrid3.Visible := true;
            wwDBGrid3.SetFocus
         end
         else
         begin
            Showmessage('Não foram encotrados registros com essa descrição. Tente novamente!');
            Edit4.Text := '';
            Edit4.SetFocus
         end
      end;
   end;

end;

procedure TFrmlancconta.Edit2Exit(Sender: TObject);
begin
   RxLabel11.Caption := CurrToStr(DMEscola.QprodutosPreco_Venda.Value * StrToInt(Edit2.Text));
end;

procedure TFrmlancconta.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Action := CaFree;
end;

procedure TFrmlancconta.Edit2KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if Key = VK_Return then
      RxLabel11.Caption := CurrToStr(DMEscola.QprodutosPreco_Venda.Value * StrToInt(Edit2.Text));
end;

procedure TFrmlancconta.btnGravarClick(Sender: TObject);
begin
   DMEscola.Qdetalhesven.Edit;
   DMEscola.QdetalhesvenProduto.Value := Edit1.Text;
   DMEscola.QdetalhesvenQuatidade.Value := StrToInt(Edit2.Text);
   DMEscola.QdetalhesvenPreco_unit.Value := StrToCurr(DBText1.Field.AsString);
   DMEscola.QdetalhesvenPreco_total.Value := StrToCurr(RXLabel11.Caption);
   DMEscola.QdetalhesvenPago.value := false;
   DMEScola.QdetalhesvenCod_Cli.value := StrToInt(DBText3.Field.AsString);
   DMEscola.Qdetalhesven.Post;
   Showmessage('Produto marcado na conta com sucesso!!!');
end;

procedure TFrmlancconta.btnAdicionarClick(Sender: TObject);
begin
   Edit1.Enabled := true;
   Edit2.Enabled := true;
   DMEscola.Qdetalhesven.Append;
   Edit1.Text := '';
   Edit2.Text := '';
   RXLabel11.Caption := '0,00';
   Edit1.SetFocus;
end;

procedure TFrmlancconta.SpeedButton1Click(Sender: TObject);
begin
   DMEscola.Qacesso.Edit;
   DMEscola.QacessoData.Value := DateEdit1.Date;
   DMEscola.QacessoTempo.Value := MaskEdit1.Text;
   DMEscola.QacessoTotal_acesso.value := CurrencyEdit1.Value;
   DMEscola.QacessoPago.value := false;
   DMEscola.QacessoCliente.value := Edit4.text;
   DMEscola.QacessoTerminal.value := Edit3.Text;
   DMEScola.Qacesso.Post;
   Showmessage('Acesso marcado com sucesso!!!');
end;

procedure TFrmlancconta.SpeedButton2Click(Sender: TObject);
begin
   DateEdit1.Enabled := true;
   MaskEdit1.Enabled := true;
   Edit3.Enabled := true;
   CurrencyEdit1.Enabled := true;
   DMEscola.Qacesso.Append;
   DateEdit1.Text := '';
   MaskEdit1.Text := '';
   Edit3.Text := '';
   CurrencyEdit1.Text := '';
   DateEdit1.SetFocus;
end;

procedure TFrmlancconta.wwDBGrid3KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if Key = VK_Return then
   begin
      Edit4.Text := DMEscola.QconsultacliNome.value;
      wwdbgrid3.Visible := false;
      DBText2.Visible := true;
      DBText3.Visible := true;
   end;
end;

procedure TFrmlancconta.btnRetornarClick(Sender: TObject);
begin
   close;
end;

end.
